### Method

# Gtk.PrintSettings.get_page_ranges

#### Declaration [src]

    GtkPageRange*
    gtk_print_settings_get_page_ranges (
      GtkPrintSettings* settings,
      int* num_ranges
    )

#### Description [src]

Gets the value of `GTK_PRINT_SETTINGS_PAGE_RANGES`.

#### Parameters

`num_ranges` | `int*`
| return location for the length of the returned array
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `GtkPageRange`
an array of `GtkPageRange`s. Use `g_free()` to free the array when it is no longer needed.
| The length of the array is in the `num_ranges` argument
Ownership of the data is transferred to the caller